View Issue Details

IDProjectCategoryView StatusLast Update
0023810LazarusLCLpublic2014-11-06 13:01
ReporterPetr-KAssigned ToJesus Reyes 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0023810: SIGSEGV in TColumnTitle.GetDefaultCaption
DescriptionWhen DataLink is deactivating I'am saving grid columns settings.
Sometimes I get SIGSEGV in TColumnTitle.GetDefaultCaption.
I think, that there is an misstype.
Here is a little patch:

Index: lcl/dbgrids.pas
===================================================================
--- lcl/dbgrids.pas (revision 39991)
+++ lcl/dbgrids.pas (working copy)
@@ -3897,7 +3897,7 @@
   with (Column as TColumn) do begin
     if FieldName<>'' then begin
       if FField<>nil then
- Result := Field.DisplayName
+ Result := FField.DisplayName
       else
         Result := Fieldname;
     end else
TagsNo tags attached.
Fixed in Revision46444
LazTarget1.4
WidgetsetGTK 2
Attached Files

Activities

Jesus Reyes

2014-10-06 19:08

developer   ~0078022

Applied,thanks.

Issue History

Date Modified Username Field Change
2013-02-01 13:58 Petr-K New Issue
2013-02-01 20:02 Jesus Reyes Assigned To => Jesus Reyes
2013-02-01 20:02 Jesus Reyes Status new => assigned
2014-10-06 19:08 Jesus Reyes Fixed in Revision => 46444
2014-10-06 19:08 Jesus Reyes LazTarget => 1.4
2014-10-06 19:08 Jesus Reyes Note Added: 0078022
2014-10-06 19:08 Jesus Reyes Status assigned => resolved
2014-10-06 19:08 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-10-06 19:08 Jesus Reyes Resolution open => fixed
2014-10-06 19:08 Jesus Reyes Target Version => 1.4
2014-11-06 13:01 Petr-K Status resolved => closed